Issue #8270 has been updated by headius (Charles Nutter).


Minix...hard core. I haven't played with that in...20 years?

Perhaps for such a limited system you can just use an older Ruby or mruby (Matz's eMbedded Ruby)?
----------------------------------------
Feature #8270: Ruby should build without thread support (aka minix)
https://bugs.ruby-lang.org/issues/8270#change-38601

Author: eike.rb (Eike Dierks)
Status: Open
Priority: Low
Assignee: nobu (Nobuyoshi Nakada)
Category: build
Target version: Next Major


I tried to ./configure ruby on Minix 3.2.1,
The configure failed, because minix does not yet implement threads.

I'd like to suggest that ruby should still build on platforms without threads.

AFAIK the language does not yet require thread support in itself,
but maybe the new GC does require it.
So we might want to look up,
where the dependencies on threading really are.















-- 
http://bugs.ruby-lang.org/